Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981788 - TCP Wrapper is issuing a message during IPv6 connection via ssh/sftp
Summary: TCP Wrapper is issuing a message during IPv6 connection via ssh/sftp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcp_wrappers
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-05 20:03 UTC by Erik Terwan
Modified: 2013-08-15 12:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 12:12:59 UTC


Attachments (Terms of Use)

Description Erik Terwan 2013-07-05 20:03:04 UTC
When I use sftp to make a connection via IPv6, I get the message: "Received message too long 1230009910". After that, sftp terminates.

Why? To answer my own question: when I use ssh to connect, I get the message: "IPv6 addr/mask: ::1/128" (the connection is local). Via IPv4 no message is given. So Where does the message "IPv6 addr/mask: ::1/128" originate? After a little searching I found that /usr/lib/libwrap.so.0.7.6 was the culprit.

When I use "ALL: [::1/128]" in /etc/hosts.allow, the message appears, and when I use "ALL: LOCAL", I don't reveive the message.

I found out about this problem because Nautilus (aftp) timed out after a very long time (and no connection was made). This problem was introduced in Fedora 19. In Fedora 18 I used "sftp://root@localhost/" as a bookmark, and I couldn't connect after the update to Fedora 19.

But why is libwrap issuing a message in IPv6 anyway? I see no reason for it (since it doesn't for IPv4).

openssh-clients-6.2p2-3.fc19.x86_64
tcp_wrappers-libs-7.6-73.fc19.i686

Comment 1 Erik Terwan 2013-07-05 20:43:20 UTC
Forgot to mention that sftp doesn't seem to like messages issued during connection setup (according to http://www.snailbook.com/faq/sftp-corruption.auto.html). The number in the message "Received message too long 1230009910" is decimal and means:

1230009910 (decimal) = 49507636 (hexadecimal) = "IPv6" (ASCII).

This text is the first four characters in the string "IPv6 addr/mask: ::1/128".

Comment 2 Petr Lautrbach 2013-07-08 07:04:19 UTC
This is most probably as issue as bug #977995. I'm working on it and I'll push an update asap. Thanks for the report.

Comment 3 Petr Lautrbach 2013-08-15 12:12:59 UTC
I believe that this issue is fixed by 
https://admin.fedoraproject.org/updates/FEDORA-2013-12660/tcp_wrappers-7.6-74.fc19 update. Feel free to reopen this bug if the problem still persists.


Note You need to log in before you can comment on or make changes to this bug.